OGRE: Ogre::D3D9ResourceManager Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::D3D9ResourceManager Class Reference

`#include <OgreD3D9ResourceManager.h>`

Inheritance diagram for Ogre::D3D9ResourceManager:
[legend]

## Public Member Functions
| D3D9ResourceManager ()
| ~D3D9ResourceManager ()
bool | getAutoHardwareBufferManagement () const
D3D9ResourceCreationPolicy | getCreationPolicy () const
void | lockDeviceAccess ()
void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setAutoHardwareBufferManagement (bool autoManagement)
| Set/Get automatic hardware buffers management. More...
void | setCreationPolicy (D3D9ResourceCreationPolicy creationPolicy)
void | unlockDeviceAccess ()

## Friends
class | D3D9Resource

## Constructor & Destructor Documentation

## ◆ D3D9ResourceManager()

Ogre::D3D9ResourceManager::D3D9ResourceManager | ( |  | ) |

## ◆ ~D3D9ResourceManager()

Ogre::D3D9ResourceManager::~D3D9ResourceManager | ( |  | ) |

## Member Function Documentation

## ◆ getAutoHardwareBufferManagement()

bool Ogre::D3D9ResourceManager::getAutoHardwareBufferManagement | ( |  | ) | const
| inline

## ◆ getCreationPolicy()

D3D9ResourceCreationPolicy Ogre::D3D9ResourceManager::getCreationPolicy | ( |  | ) | const

## ◆ lockDeviceAccess()

void Ogre::D3D9ResourceManager::lockDeviceAccess | ( |  | ) |

## ◆ notifyOnDeviceCreate()

void Ogre::D3D9ResourceManager::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ notifyOnDeviceDestroy()

void Ogre::D3D9ResourceManager::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ notifyOnDeviceLost()

void Ogre::D3D9ResourceManager::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ notifyOnDeviceReset()

void Ogre::D3D9ResourceManager::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) |

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setAutoHardwareBufferManagement()

void Ogre::D3D9ResourceManager::setAutoHardwareBufferManagement | ( | bool | autoManagement | ) |
| inline

Set/Get automatic hardware buffers management.

This has affect only when multiple devices involved during the runtime. When enabled, an explicit system memory backup is created for buffers with no read caps - so in case of device swaps the content of the buffers can be restored from this copy. The default is false in order to reduce system memory consumption.

## ◆ setCreationPolicy()

void Ogre::D3D9ResourceManager::setCreationPolicy | ( | D3D9ResourceCreationPolicy | creationPolicy | ) |

## ◆ unlockDeviceAccess()

void Ogre::D3D9ResourceManager::unlockDeviceAccess | ( |  | ) |

## Friends And Related Function Documentation

## ◆ D3D9Resource

friend class D3D9Resource
| friend

The documentation for this class was generated from the following file:

- OgreD3D9ResourceManager.h